# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dcell/s3_registry/version'

Gem::Specification.new do |spec|
  spec.name          = 'dcell-s3-registry'
  spec.version       = DCell::S3Registry::VERSION
  spec.authors       = ['Joe Hosteny']
  spec.email         = ['jhosteny@gmail.com']
  spec.description   = %q{AWS S3 registry for DCell}
  spec.summary       = %q{An AWS S3 registry for DCell.}
  spec.homepage      = 'https://github.com/jhosteny/dcell-s3-registry'
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'aws-sdk'

  spec.add_runtime_dependency 'dcell'
end
